Returns the topology ID

- « MongoDB\Driver\Monitoring\TopologyOpeningEvent

- MongoDB\Driver\Monitoring\CommandSubscriber »

- PHP Manual
- MongoDB\Driver\Monitoring\TopologyOpeningEvent
- Returns the topology ID

# MongoDB\Driver\Monitoring\TopologyOpeningEvent::getTopologyId

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\TopologyOpeningEvent::getTopologyId — Returns the topology ID

### Description

final public MongoDB\Driver\Monitoring\TopologyOpeningEvent::getTopologyId(): MongoDB\BSON\ObjectId

### Parameters

This function has no parameters.

### Return Values

Returns the topology ID.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.